package com.mx.dla.dda.contrato.generales.dtos;

import java.util.Date;

import com.mx.dla.global.dtos.BaseDTO;

public class AreaAutorizadorDTO extends BaseDTO {

	private static final long serialVersionUID = 1L;
	private Long idArea;
	private String descripcionArea;
	private Integer autorizaContrato;
	private Integer orden;
	private Integer enviaExterno;
	private Long idEstatus;
	private String nombre;
	private String paterno;
	private String expediente;
	private Date fechaAutorizacion;
	private Integer seHabilita = 0;

	public Long getIdArea() {
		return idArea;
	}

	public void setIdArea(Long idArea) {
		this.idArea = idArea;
	}

	public String getDescripcionArea() {
		return descripcionArea;
	}

	public void setDescripcionArea(String descripcionArea) {
		this.descripcionArea = descripcionArea;
	}

	public Integer getAutorizaContrato() {
		return autorizaContrato;
	}

	public void setAutorizaContrato(Integer autorizaContrato) {
		this.autorizaContrato = autorizaContrato;
	}

	public Integer getOrden() {
		return orden;
	}

	public void setOrden(Integer orden) {
		this.orden = orden;
	}

	public Integer getEnviaExterno() {
		return enviaExterno;
	}

	public void setEnviaExterno(Integer enviaExterno) {
		this.enviaExterno = enviaExterno;
	}

	public Long getIdEstatus() {
		return idEstatus;
	}

	public void setIdEstatus(Long idEstatus) {
		this.idEstatus = idEstatus;
	}

	public String getNombre() {
		return nombre;
	}

	public void setNombre(String nombre) {
		this.nombre = nombre;
	}

	public String getPaterno() {
		return paterno;
	}

	public void setPaterno(String paterno) {
		this.paterno = paterno;
	}

	public String getExpediente() {
		return expediente;
	}

	public void setExpediente(String expediente) {
		this.expediente = expediente;
	}

	public Date getFechaAutorizacion() {
		return fechaAutorizacion;
	}

	public void setFechaAutorizacion(Date fechaAutorizacion) {
		this.fechaAutorizacion = fechaAutorizacion;
	}

	public Integer getSeHabilita() {
		return seHabilita;
	}

	public void setSeHabilita(Integer seHabilita) {
		this.seHabilita = seHabilita;
	}

}
